/*
Theme Name: BeFisio
Theme URI: https://rogermogu.com/
Description: Befisio. Oceanwp child theme.
Author: Rogermogu
Author URI: https://rogermogu.com/
Template: oceanwp
Version: 01.02.66
*/

/*----------------------------------------------------------------------------------
## @section 1.0 / General
----------------------------------------------------------------------------------*/
/*--------------------------------------------------------------
## @section 1.0 / General / Root
--------------------------------------------------------------*/
:root {
  --color-prim: #BD537C;
  --color-sec: #F5D6E2;
  --color-text: #272727;
  --color-back: #faf3f6;
  --color-back-prim-light: #fbf4f6;
  --color-back-dark: #f0d7e1;
  --color-back-grey: #F5F5F5;
  --color-back-grey-dark: #B4B4B4;
  --color-black: #272727;
  --color-input-border: #f0d7e1;
  --max-width: 1200px;
}


/*--------------------------------------------------------------
## @section 1.0 / General / General class
--------------------------------------------------------------*/
#main #content-wrap.container {
  padding-left: 20px;
  padding-right: 20px;
}
.container {
  width: 100%;
  max-width: var(--max-width);
}
.row,
.row-wrap,
.col {
  position: relative;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}
.row {
  max-width: 100%;
}
.row .row-wrap {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  flex-wrap: wrap;
  padding: 30px 20px;
  max-width: var(--max-width);
}
.flex {
	display: flex;
}
.flex-wrap {
	flex-wrap: wrap;
}
.col {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  align-content: center;
}
.col-wrap {
  width: 100%;
}
.color-white,
.color-white h1,
.color-white h2,
.color-white h3,
.color-white h4,
.color-white h5,
.color-white h6,
.color-white p {
  color: white;
}
.no-margin-bot p:last-child {
  margin-bottom: 0;
}
.title-no-margin-bot h1,
.title-no-margin-bot h2,
.title-no-margin-bot h3,
.title-no-margin-bot h4,
.title-no-margin-bot h5,
.title-no-margin-bot h6 {
  margin-bottom: 0;
}
.text-center {
  text-align: center;
}
.back-prim {
  background-color: var(--color-prim);
}
.back-light {
  background-color: var(--color-back-grey);
}
.back-dark {
  background-color: var(--color-back-grey-dark);
}
.btn {
  padding: 12px 24px;
  border-radius: 50px;
  display: inline-block;
  text-align: center;
  line-height: 1;
  font-weight: 700;
}
.btn-lg {
  width: 180px;
  max-width: 100%;
}
.btn-prim {
  background-color: var(--color-prim);
  border: 1px solid var(--color-prim);
  color: white;
}
.btn-prim:hover {
  background-color: white;
  border: 1px solid var(--color-prim);
  color: var(--color-prim);
}
.btn-white {
  background-color: white;
  border: 1px solid white;
  color: var(--color-prim);
}
.btn-white:hover {
  background-color: transparent;
  color: white;
  border: 1px solid white;
}
@media (max-width: 959px) {
  #main #content-wrap,
  .separate-layout #main #content-wrap {
    padding-top: 30px;
  }
}

/*--------------------------------------------------------------
## @section 1.0 / General / Tipografia
--------------------------------------------------------------*/
p, a, button {
  letter-spacing: 0 !important;
}

/*--------------------------------------------------------------
## @section 1.0 / General / Buttons
--------------------------------------------------------------*/
body .site-main button {
  padding: 12px 24px;
  line-height: 1;
  font-weight: 700;
  color: white;
  background-color: var(--color-prim);
  border: 1px solid var(--color-prim);
  transition: all .4s ease;
}
body .site-main button:hover,
body .site-main button:focus,
body .site-main .button:hover,
body .site-main .button:focus,
body .button:hover,
body .button:focus,
.woocommerce button[type="submit"]:hover {
  color: var(--color-prim);
  background-color: white;
}
body .site-main button.btn-white {
  color: var(--color-prim);
  background-color: white;
  border-color: var(--color-prim);
}
body .site-main button.btn-white:hover {
  color: white;
  background-color: transparent;
  border-color: white;
}
.woocommerce .button:focus {
  color: var(--color-prim);
  background-color: white;
}
a:focus {
  outline: none !important;
}
.button-prim {
  padding: 12px 24px;
  line-height: 1;
  font-weight: 700;
  color: white;
  background-color: var(--color-prim);
  border: 1px solid var(--color-prim);
  border-radius: 50px;
  transition: all .4s ease;
}
.button-prim:hover {
  color: var(--color-prim);
  background-color: white;
}

/*--------------------------------------------------------------
## @section 1.0 / General / General class
--------------------------------------------------------------*/
/*--------------------------------------------------------------
## @section 1.0 / General / General calendario Flatpickr
--------------------------------------------------------------*/
.flatpickr-current-month {
  display: flex;
    align-items: center;
    justify-content: center;
}
.flatpickr-current-month .flatpickr-monthDropdown-months {
  padding-left: 0;
  font-size: 16px;
  line-height: 1;
  min-height: 0;
}
.flatpickr-calendar.inline {
  z-index: 0;
}
.flatpickr-calendar .flatpickr-day {
  font-weight: 700;
}
.flatpickr-calendar .flatpickr-day.past-day {
  color: rgba(57,57,57,0.3);
  background: transparent;
  border-color: transparent;
  cursor: default;
  pointer-events: none;
}
.flatpickr-calendar .flatpickr-day.selected,
.flatpickr-calendar .flatpickr-day.selected:focus {
  background-color: var(--color-prim);
  border-color: var(--color-prim);
  color: white;
}

/*--------------------------------------------------------------
## @section 1.0 / General / Form Buscador Fisios
--------------------------------------------------------------*/
.form-buscador-fisios-shortcode {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
}
.form-buscador-fisios {
    width: 100%;
    max-width: 400px;
}
.form-buscador-fisios .form-wrap {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    flex-direction: column;
    gap: 10px;
}
.form-buscador-fisios .form-col {
    position: relative;
}
.form-buscador-fisios .form-col .col-wrap {
    display: flex;
    flex-direction: column;
    position: relative;
    background: white;
    padding: 13px 50px 13px 25px;
    border: 1px solid var(--color-prim);
    border-radius: 50px;
    cursor: pointer;
}
.form-buscador-fisios .form-col .col-wrap:After {
    content: "";
    width: 15px;
    height: 15px;
    position: absolute;
    top: 50%;
    left: auto;
    right: 10px;
    border-right: 1px solid black;
    border-bottom: 1px solid black;
    transform: translate(-50%, -50%) rotate(45deg);
}
.form-buscador-fisios .form-col input {
  display: none;
}
.form-buscador-fisios .form-col .select-search-wrap {
  margin: 10px;
}
.form-buscador-fisios .form-col input.select-search-input {
  display: block;
}
.form-buscador-fisios .form-col label {
    cursor: pointer;
    font-weight: 700;
    font-size: 14px;
    line-height: 1;
    margin-bottom: 10px;
    white-space: nowrap;
}
.form-buscador-fisios .opcion-seleccionada {
    display: block;
    line-height: 1;
    cursor: pointer;
    max-width: 100%;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    display: block;
    display: -webkit-box;
    -webkit-hyphens: none;
    hyphens: none;
    overflow: hidden;
    text-overflow: ellipsis;
    word-break: break-word;
}
.form-buscador-fisios .custom-select {
    height: 0;
    overflow: hidden;
    transition: all .4s ease;
    position: absolute;
    top: calc(100% - 1px);
    left: 30px;
    width: calc(100% - 60px);
}
.form-buscador-fisios .custom-select-wrap {
    position: relative;
    z-index: 1;
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 100%;
    padding: 0px;
    max-height: 200px;
    border-radius: 0 0 5px 5px;
    background: white;
    border: 1px solid var(--color-prim);
    overflow: scroll;
}
.form-buscador-fisios .custom-select-wrap .select-item {
    line-height: 1.4;
    padding: 10px;
    border-bottom: 1px solid var(--color-back-grey-dark);
    cursor: pointer;
    transition: background-color .4s ease;
}
.form-buscador-fisios .custom-select-wrap .select-item:last-child {
    border-bottom: 0;
}
.form-buscador-fisios .custom-select-wrap .select-item:hover {
    background: var(--color-back-grey);
}
.form-buscador-fisios .custom-select-wrap .select-item.seleccionado {
    background: var(--color-prim);
    color: white;
    font-weight: 700;
}
.form-buscador-fisios .custom-select-wrap .select-item.disabled {
    color: #ccc;
    cursor: not-allowed;
}
.form-buscador-fisios .form-wrap .form-col-btn button {
    display: flex;
    align-items: center;
    padding: 0;
    margin: 0 auto;
    background: var(--color-prim);
    border: 1px solid var(--color-prim);
    padding: 12px 24px;
    min-width: 100%;
    text-align: center;
    justify-content: center;
    border-radius: 50px;
}
.form-buscador-fisios .form-wrap .form-col-btn button:hover {
    background: var(--color-back-dark);
    color: var(--color-prim);
}
@media (min-width: 650px) {
    .form-buscador-fisios {
        max-width: 100%;
    }
    .form-buscador-fisios .form-wrap {
        flex-direction: row;
        flex-wrap: nowrap;
        gap: 0;
        justify-content: center;
        align-items: stretch;
    }
    .form-buscador-fisios .form-col + .form-col {
        margin-left: -1px;
    }
    .form-buscador-fisios .form-col.col-ubicacion {
      width: 40%;
    }
    .form-buscador-fisios .form-col.col-ubi-zona {
        flex-grow: 1;
    }
    .form-buscador-fisios .form-col .col-wrap {
        border-radius: 0;
        padding-left: 20px;
    }
    .form-buscador-fisios .form-col.col-ubi-zona .col-wrap {
      border-radius: 0 50px 50px 0;
    }
    .form-buscador-fisios .form-col:first-child .col-wrap {
        border-radius: 50px 0 0 50px;
        padding-left: 25px;
    }
    .home-form .form-buscador-fisios .form-col.col-ubi-zona .col-wrap {
        border-radius: 0;
    }
    .form-buscador-fisios .form-col-btn button {
        height: 100%;
        border-radius: 0 50px 50px 0;
    }
    .form-buscador-fisios .custom-select {
        left: 0;
        width: 100%;
    }
    .form-buscador-fisios .col-ubi-zona .custom-select {
      max-width: calc(100% - 30px);
    }
    .form-buscador-fisios .form-col:first-child .custom-select {
        left: 30px;
        max-width: calc(100% - 30px);
    }
    .form-buscador-fisios .form-wrap .form-col-btn {
        margin-left: -1px;
    }
    .form-buscador-fisios .form-wrap .form-col-btn button {
        border-radius: 0 50px 50px 0;
    }
}  


/*----------------------------------------------------------------------------------
## @section 2.0 / Header & Footer
----------------------------------------------------------------------------------*/
/*--------------------------------------------------------------
## @section 2.0 / Header & Footer / Header
--------------------------------------------------------------*/
/*--------------------------------------------------------------
## @section 2.0 / Header & Footer / Footer
--------------------------------------------------------------*/
.site-footer #footer-widgets .footer-box .widget-title {
  letter-spacing: 0;
  border: 0;
  margin-left: 0;
  padding-left: 0;
}
.site-footer .widget_nav_menu li,
.site-footer .widget_nav_menu li:first-child {
  border: 0;
}
.site-footer #footer-widgets .footer-box .footer-widget {
  margin-bottom: 0;
}

/*----------------------------------------------------------------------------------
## @section 2.0 / Formularios
----------------------------------------------------------------------------------*/
.select2-container .select2-selection--single .select2-selection__rendered {
  padding-left: 0;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 100%;
  right: 10px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b {
  padding: 0;
  margin: 0;
  background: none;
  border: 0;
  transition: transform .4s ease;
}
.select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow b {
  transform: rotate(180deg);
}
.select2-container--default .select2-selection--single .select2-selection__arrow b:after {
  content: "\f078";
  font-family: 'FontAwesome';
  position: absolute;
  top: 0;
  left: 0;
  transform: translate(-50%, -50%);
  font-size: 13px;
  transition: all .4s ease;
}
.select2-container--default .select2-selection--single {
  border-radius: 50px;
  min-height: 40px;
  display: flex;
  align-items: center;
  padding-left: 15px;
  padding-right: 15px;
  background-color: white;
  border-color: var(--color-input-border);
}
.select2-container--default.select2-container--open.select2-container--below .select2-selection--single {
  border-radius: 25px 25px 0 0;
}
.select2-container--default.select2-container--open.select2-container--above .select2-selection--single {
  border-radius: 0 0 25px 25px;
}
.select2-container--open .select2-dropdown--above {
  border-radius: 25px 25px 0 0;
} 
.select2-container--default .select2-results__option--highlighted[aria-selected], .select2-container--default .select2-results__option--highlighted[data-selected] {
  background-color: var(--color-prim);
}
.select2-dropdown {
  border-radius: 0 0 25px 25px;
  border-color: var(--color-input-border);
  z-index: 10;
}
.select2-search--dropdown {
  padding: 10px 20px;
}
.select2-results {
  border-radius: 0 0 25px 25px;
  overflow: hidden;
}
.select2-dropdown--above .select2-results {
  border-radius: 0;
}
.select2-results__option {
  padding: 6px 20px;
}
.select2-container--default .select2-search--dropdown .select2-search__field {
  border-color: var(--color-input-border);
}
.select2-container--default .select2-search--dropdown .select2-search__field:focus {
  outline: none;
  border-color: var(--color-text);
}


/*----------------------------------------------------------------------------------
## @section 3.0 / General Woocommerce
----------------------------------------------------------------------------------*/
/*--------------------------------------------------------------
## @section 3.0 / General Woocommerce / General
--------------------------------------------------------------*/
.amount {
  color: var(--color-text);
}

/*--------------------------------------------------------------
## @section 3.0 / General Woocommerce / Tables
--------------------------------------------------------------*/
.woocommerce-cart .cart-collaterals .cart_totals table tr:first-child td,
.woocommerce-cart .cart-collaterals .cart_totals table tr:first-child th {
  padding-top: .8em;
}
.woocommerce table.shop_table td {
  text-transform: none;
}
.woocommerce table.shop_table dl {
  text-align: left;
}

/*--------------------------------------------------------------
## @section 3.0 / General Woocommerce / Thankyou
--------------------------------------------------------------*/
.woocommerce-order-received .woocommerce-cita-details ul li.ubi-zona {
  display: none;
}
.woocommerce-order-received .woocommerce-cita-details {
  background: var(--color-back);
  padding: 20px;
  margin-bottom: 30px;
  border-radius: 10px;
  border: 1px solid var(--color-input-border);
}

/*--------------------------------------------------------------
## @section 3.0 / General Woocommerce / Carrito & Checkout
--------------------------------------------------------------*/
.woocommerce .cart-collaterals h2 {
  margin-bottom: 0;
}
.woocommerce .woocommerce-checkout .woocommerce-error li {
  text-align: left;
  display: flex;
  width: 100%;
}
.woocommerce .woocommerce-checkout .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper {
  display: flex;
  flex-wrap: wrap;
}
.woocommerce .woocommerce-checkout #customer_details h3 {
  font-size: 20px;
  text-transform: none;
  letter-spacing: 0;
}
.woocommerce .woocommerce-checkout #customer_details h3.titulo-direccion-facturacion {
  margin-top: 40px;
  width: 100%;
}
.woocommerce .woocommerce-checkout .woocommerce-billing-fields .titulo-direccion-cita,
.woocommerce .woocommerce-checkout .woocommerce-billing-fields #billing_direccion_paciente_direccion_field,
.woocommerce .woocommerce-checkout .woocommerce-billing-fields #billing_direccion_paciente_piso_field,
.woocommerce .woocommerce-checkout .woocommerce-billing-fields #billing_direccion_paciente_puerta_field,
.woocommerce .woocommerce-checkout .woocommerce-billing-fields #billing_direccion_paciente_cp_field
 {
  order: -1;
}
.woocommerce .woocommerce-checkout #customer_details .form-row.form-row-wide  {
  width: 100%;
}
.woocommerce .woocommerce-checkout #customer_details p.form-row label {
  font-weight: 700;
}
.woocommerce .woocommerce-checkout .select2-container--default .select2-selection--single {
    border-radius: 50px;
    padding-left: 12px;
}
.woocommerce #order_review table.shop_table tfoot td {
  background-color: #f7f7f7;
}
.woocommerce #order_review table.shop_table tbody td.product-name .product-quantity {
  display: none;
}
.woocommerce-order-received .woocommerce table.shop_table td.product-name {
  font-weight: 700;
}
.woocommerce-order-received .woocommerce table.shop_table td.product-name .product-quantity {
  display: none;
}

/*--------------------------------------------------------------
## @section 3.0 / General Woocommerce / Login - register
--------------------------------------------------------------*/
.woocommerce .owp-account-links {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px 50px;
  flex-wrap: wrap;
}
.woocommerce .owp-account-links li .owp-account-link {
  font-size: 20px;
}
.woocommerce .owp-account-links li.or {
  display: none;
}
.woocommerce form .show-password-input {
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  background: none;
  border: none;
}

/*----------------------------------------------------------------------------------
## @section 4.0 / My account
----------------------------------------------------------------------------------*/
.woocommerce-account .site-main {
  background: var(--color-back-prim-light);
}
.woocommerce-account div#content-wrap {
  padding-left: 20px;
  padding-right: 20px;
}
.woocommerce-MyAccount-tabs .oceanwp-user-profile {
  display: none;
}
.woocommerce-account .form-my-account-horario-fisio {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.my-account-horario-fisio {
  margin-top: 30px;
}
.my-account-horario-fisio .horarios-section-title {
  margin-bottom: 0;
  margin-top: 25px;
}
.my-account-horario-fisio .my-account-row {
  display: flex;
  flex-wrap: wrap;
  gap: 10px 20px;
  align-items: center;
}
.my-account-horario-fisio .precio-row input[type=number] {
    padding: 10px 20px;
    max-width: 100%;
    width: 100px;
    min-width: 0;
}
.my-account-horario-fisio .dia {
  background: white;
  padding: 15px 20px;
  border-radius: 5px;
  border: 1px solid var(--color-sec);
}
.my-account-horario-fisio .franja {
  position: relative;
  margin-bottom: 20px;
  background: var(--color-back-dark);
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  gap: 20px;
  padding: 10px 40px 10px 20px;
  border-radius: 5px;
}
.my-account-horario-fisio .day-off {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  gap: 20px;
  padding: 10px 20px;
  margin-bottom: 20px;
  background: white;
  padding: 15px 20px;
  border-radius: 5px;
  border: 1px solid var(--color-sec);
}
.my-account-horario-fisio .day-off .franja {
  background-color: transparent;
  margin-bottom: 0;
  padding: 0;
}
.my-account-horario-fisio .franja .franja-col .col-wrap,
.my-account-horario-fisio .day-off .franja-col .col-wrap {
  display: flex;
  flex-direction: column;
  position: relative;
}
.my-account-horario-fisio .franja .franja-col input,
.my-account-horario-fisio .day-off .franja-col input {
  display: none;
}
.my-account-horario-fisio .franja .franja-col.col-dia-libre input {
  display: block;
}
.my-account-horario-fisio .franja .franja-col .calendar-container {
  position: absolute;
  z-index: 1;
  top: calc(100% + 8px);
  left: -35px;
}
.my-account-horario-fisio .franja .franja-col .calendar-container.invisible {
  display: none;
}
.my-account-horario-fisio .franja .franja-col .calendar-container input,
.my-account-horario-fisio .day-off .franja-col .calendar-container input {
  display: inline-block;
}
.my-account-horario-fisio .franja .franja-col-ubi-wrap {
  display: none;
  width: 100%;
  gap: 20px 30px;
  flex-direction: column;
}
.my-account-horario-fisio .franja .franja-col-ubi-wrap.visible {
  display: flex;
}
.my-account-horario-fisio .franja .franja-col-ubi-wrap .franja-col {
  width: 100%;
}
.my-account-horario-fisio .franja .franja-col input.ubi-centro-input,
.my-account-horario-fisio .franja .franja-col input.ubi-centro-publica-input {
  display: block;
  padding: 5px 20px;
  height: auto;
  min-height: 0;
  line-height: 1;
}
.my-account-horario-fisio .franja .franja-col input.ubi-centro-input::placeholder,
.my-account-horario-fisio .franja .franja-col input.ubi-centro-publica-input::placeholder {
  line-height: 1.2; 
  width: 100%; 
  max-width: 100%; 
  word-break: break-word;
  color: var(--color-back-grey-dark);
}
.my-account-horario-fisio .franja .franja-col.col-actions {
  width: 100%;
}
.my-account-horario-fisio .day-off .franja-col input.day-off-day {
  display: block;
  padding: 5px 20px;
  height: auto;
  min-height: 0;
  line-height: 1;
  cursor: pointer;
}
.my-account-horario-fisio .franja .franja-col label,
.my-account-horario-fisio .day-off .franja-col label {
  font-weight: 700;
  font-size: 14px;
}
.my-account-horario-fisio .franja .franja-col small {
  font-size: 14px;
  line-height: 1.2;
  margin-bottom: 10px;
}
.my-account-horario-fisio .franja .opcion-seleccionada,
.my-account-horario-fisio .day-off .opcion-seleccionada {
  display: block;
  cursor: pointer;
}
.my-account-horario-fisio .franja .custom-select,
.my-account-horario-fisio .day-off .custom-select {
  height: 0;
  overflow: hidden;
  transition: all .4s ease;
  position: absolute;
  top: 100%;
  left: 0;
}
.my-account-horario-fisio .franja .custom-select-wrap,
.my-account-horario-fisio .day-off .custom-select-wrap {
  position: relative;
  z-index: 1;
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 200px;
  padding: 5px 0px;
  max-height: 200px;
  border-radius: 5px;
  background: white;
  border: 1px solid var(--color-prim);
  overflow: scroll;
}
.my-account-horario-fisio .franja .custom-select-wrap .select-item,
.my-account-horario-fisio .day-off .custom-select-wrap .select-item {
  padding: 8px 10px;
  line-height: 1.2;
  border-bottom: 1px solid var(--color-back-grey-dark);
  cursor: pointer;
}
.my-account-horario-fisio .franja .custom-select-wrap .select-item.seleccionado,
.my-account-horario-fisio .day-off .custom-select-wrap .select-item.seleccionado {
  background: var(--color-prim);
  color: white;
  font-weight: 700;
}
.my-account-horario-fisio .franja .custom-select-wrap .select-item.disabled,
.my-account-horario-fisio .day-off .custom-select-wrap .select-item.disabled {
  color: #ccc;
  cursor: not-allowed;
}
.my-account-horario-fisio .franja button,
.my-account-horario-fisio .day-off button {
  display: flex;
  align-items: center;
  padding: 0;
  margin: 0;
  color: var(--color-text);
  background: transparent;
  border: 0;
  margin-left: auto;
}
.my-account-horario-fisio .franja button {
    position: absolute;
    top: 30px;
    left: auto;
    right: 15px;
}
.my-account-horario-fisio .franja button:hover,
.my-account-horario-fisio .day-off button:hover {
  color: var(--color-back-grey-dark);
  background-color: transparent; 
}
.my-account-horario-fisio .dia-horarios-seleccionados {
  display: flex;
  flex-direction: column;
}
.my-account-horario-fisio .dia-horarios-seleccionados p {
  margin-bottom: 0;
}
.my-account-horario-fisio .dia-horarios-seleccionados .titulo {
  margin-bottom: 10px;
}
.my-account-horario-fisio .row-horarios-franja-seleccionada {
  border-top: 1px solid var(--color-back-dark);
  padding-bottom: 10px;
  padding-top: 10px;
}
.my-account-horario-fisio .row-horarios-franja-seleccionada:last-child {
  border-bottom: 1px solid var(--color-back-dark);
  margin-bottom: 20px;
}
.my-account-horario-fisio .row-horarios-franja-seleccionada .row-horarios-franja-wrap {
  display: flex;
  gap: 20px;
}
.my-account-horario-fisio .row-horarios-franja-seleccionada .row-horarios-franja-wrap .ubi {
  width: 90px;
}
.my-account-horario-fisio .row-horarios-franja-seleccionada .row-horarios-franja-wrap .row-franja-horas {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  width: 100%;
  max-width: calc(100% - 110px);
}
.my-account-horario-fisio .row-horarios-franja-seleccionada .row-horarios-franja-wrap .row-franja-horas .franja-hora {
  font-weight: 400;
  width: 45px;
}
.woocommerce-MyAccount-navigation ul li.is-active a {
  font-weight: 700;
  padding-left: 20px;
}
.woocommerce-MyAccount-navigation ul li:hover a {
  padding-left: 20px;
}
.woocommerce-MyAccount-navigation ul li a:before {
  content: none !important;
}
.woocommerce-MyAccount-content .woocommerce-Address-title {
  margin-bottom: 30px;
}
.woocommerce-MyAccount-content .woocommerce-Address-title a.edit {
  background: var(--color-prim);
  border: 1px solid var(--color-prim);
  color: white;
  position: relative;
  border-radius: 50px;
  padding: 12px 24px;
  line-height: 1;
  display: inline-block;
}
.woocommerce-MyAccount-content .woocommerce-Address-title a.edit:hover {
  background-color: var(--color-back-grey);
  color: var(--color-prim);
}
.my-account-horario-fisio .all-day-switch {
  position: relative;
  display: inline-block;
  width: 50px;
  height: 26px;
}
.my-account-horario-fisio .all-day-switch input {
  opacity: 0;
  width: 0;
  height: 0;
}
.my-account-horario-fisio .slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: var(--color-back-prim-light);
  transition: .4s;
  border-radius: 34px;
}
.my-account-horario-fisio .slider:before {
  position: absolute;
  content: "";
  height: 20px;
  width: 20px;
  left: 3px;
  bottom: 3px;
  background-color: white;
  transition: .4s;
  border-radius: 50%;
}
.my-account-horario-fisio input.toggle-all-day:checked + .slider {
  background-color: var(--color-prim);
}
.my-account-horario-fisio input.toggle-all-day:checked + .slider:before {
  transform: translateX(24px);
}
.my-account-horario-fisio .days-off .agregar-dia {
  min-width: 180px;
  width: auto;
}
@media (min-width: 385px) {
  .my-account-horario-fisio .franja .franja-col .calendar-container {
    left: 0px;
  }
}
@media (min-width: 768px) {
  .my-account-horario-fisio .franja .franja-col-ubi-wrap {
    flex-direction: row;
  }
}

/*------------------
## @section 4.0 / My account / Futuras citas
------------------*/
.woocommerce-message.cita-modificada-success {
  background: white;
  border-radius: 5px;
  border-color: var(--color-greenborder);
}
.my-account-futuras-citas .citas-submenu {
  margin-bottom: 20px;
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
}
.my-account-futuras-citas .citas-submenu button.active {
  background-color: white;
  color: var(--color-prim);
}
.my-account-futuras-citas .citas-tab-content {
  display: none;
}
.my-account-futuras-citas .citas-tab-content.active {
  display: block;
}
.my-account-futuras-citas .tab-button {
  color: white;
}
.my-account-futuras-citas .franja {
  margin-bottom: 20px;
  background: white;
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  gap: 20px;
  padding: 10px 20px;
  border-radius: 10px;
  box-shadow: 0 5px 10px rgba(17,17,17, .1);
}
.my-account-futuras-citas .franja label {
  font-weight: 600;
}
.my-account-futuras-citas .franja .col-acciones {
  width: 100%;
}
.my-account-futuras-citas .franja .col-acciones .col-wrap {
  display: flex;
  gap: 15px;
}
.my-account-futuras-citas .franja .col-acciones .btn-modificar {
    font-weight: 700;
    letter-spacing: 0;
    text-transform: none;
    font-size: inherit;
    line-height: 1;
}
.my-account-futuras-citas ~ .popup-cita {
  position: fixed;
  top: 0; left: 0; right: 0; bottom: 0;
  background: rgba(0,0,0,0.6);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  padding: 20px;
}
.my-account-futuras-citas ~ .popup-cita .popup-inner {
  background: #fff;
  padding: 20px;
  max-width: 400px;
  border-radius: 8px;
  text-align: center;
}
.my-account-futuras-citas ~ .popup-cita .popup-inner .franja-col {
  text-align: left;
}
.my-account-futuras-citas ~ .popup-cita .popup-inner .franja-col label {
  font-weight: 700;
}
.my-account-futuras-citas ~ .popup-cita.popup-modificar-cita .popup-inner {
  width: 100%;
  max-width: 100%;
  max-height: 100vh;
  overflow-y: scroll;
}
.my-account-futuras-citas ~ .popup-cita.hidden {
  display: none;
}
.my-account-futuras-citas .mensaje-citas {
  padding: 10px 20px;
  background: #F5D6E2;
  margin-bottom: 20px;
  border-radius: 10px;
  font-weight: 700;
}

/*------------------
## @section 4.0 / My account / Modificar citas
------------------*/
.error-cita-direccion {
  background: var(--color-back);
  width: 100%;
  text-align: center;
  border-radius: 5px;
  border: 1px solid red;
  padding: 10px;
  font-weight: 700;
}
.fisios-content-modificar-wrap {
  background: white;
  border-radius: 10px;
  box-shadow: 0 5px 10px rgba(17, 17, 17, .1);
  border: 1px solid var(--color-sec);
}
.filtros-modificar-cita .form-buscador-fisios {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
}
.form-modificar-cita .franja,
.resumen-cita-modificar .franja {
  margin-bottom: 20px;
  background: white;
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  gap: 20px;
  padding: 10px 20px;
  border-radius: 10px;
  box-shadow: 0 5px 10px rgba(17, 17, 17, .1);
  border: 1px solid var(--color-sec);
}
.form-modificar-cita .franja .col-title p,
.resumen-cita-modificar .franja .col-title p {
  margin-bottom: 0;
}
.filtros-modificar-cita .modificar-cita-direccion-paciente-wrap {
  width: 100%;
  max-width: 500px;
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}
.filtros-modificar-cita .modificar-cita-direccion-paciente-wrap input {
  border: 1px solid var(--color-prim);
}
.filtros-modificar-cita .form-buscador-fisios .form-col.col-ubi-zona {
  width: 100%;
  max-width: 500px;
}
.resumen-cita-modificar .franja label {
  font-weight: 700;
}
.form-modificar-cita-wrap {
  display: flex;
  flex-wrap: wrap;
}
.form-modificar-cita-wrap .popup-filtros-wrap {
  width: 100%;
}
.form-modificar-cita-wrap .col.col-calendar {
  width: 100%;
  justify-content: center;
}
.form-modificar-cita-wrap .col.col-fisios {
  width: 100%;
  align-items: flex-start;
}
.filtros-modificar-cita .form-buscador-fisios .form-col:first-child .col-wrap {
  border-radius: 50px;
}
@media (min-width: 768px) {
  .form-modificar-cita-wrap .col.col-calendar {
    width: 300px;
    max-width: 300px;
  }
  .form-modificar-cita-wrap .col.col-fisios {
    width: 100%;
    max-width: calc(100% - 300px);
  }
  .filtros-modificar-cita .modificar-cita-direccion-paciente-wrap .w-50 {
    width: calc(50% - 10px);
  }
}



/*----------------------------------------------------------------------------------
## @section 5.0 / Pages
----------------------------------------------------------------------------------*/
/*--------------------------------------------------------------
## @section 3.0 / Pages / Homepage
--------------------------------------------------------------*/
.home-intro .home-intro-img {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
}
.home-intro .home-intro-img .elementor-widget-image {
    height: 100%;
}
.home-intro .subrayado {
    padding-bottom: 0px;
    display: inline;
    position: relative;
    background: linear-gradient(to right, white, white);
    background-size: 100% 2px;
    background-position: left bottom;
    background-repeat: no-repeat;
    transition: background-size .4s;
}
.home-servicios-grid .home-servicios-single .elementor-widget-image > .elementor-widget-container {
    width: 100%;
    padding-top: 56.25%;
}
.home-servicios-grid .home-servicios-single .elementor-widget-image > .elementor-widget-container img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/*--------------------------------------------------------------
## @section 3.0 / Pages / Buscador fisio
--------------------------------------------------------------*/
.row-title.fisios-intro {
  padding: 50px 20px;
}
.fisios-content-wrap .col.col-calendar {
    width: 100%;
    justify-content: center;
}
.fisios-content-wrap .col.col-calendar .col-calendar-wrap {
  max-width: 300px;
}
.fisios-content-wrap .col.col-fisios {
  width: 100%;
  align-items: flex-start;
}
.fisios-content-wrap .col-fisios .col-wrap {
  width: 100%;
  padding: 20px;
}
.fisios-content-wrap .col-fisios .col-wrap .title-wrap h2 {
    font-size: 20px;
}
.fisios-grid-wrap {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 20px;
}
.fisio-grid-single {
  padding: 15px;
  border: 1px solid var(--color-prim);
  border-radius: 10px;
}
.fisio-grid-single .fisio-nombre {
  margin-bottom: 0;
}
.fisio-grid-single .fisio-especialidad {
  margin-bottom: 0;
}
.fisio-grid-single .fisio-select-horario-wrap {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  width: 100%;
  margin-top: 20px;
}
.fisio-grid-single .fisio-select-horario-wrap .horario-input {
  position: absolute;
  clip: rect(0, 0, 0, 0);
  pointer-events: none;
}
.fisio-grid-single .fisio-select-horario-wrap .horario {
  width: 75px;
  text-align: center;
  padding: 10px;
  background: white;
  border: 1px solid var(--color-prim);
  color: var(--color-prim);
  border-radius: 5px;
  line-height: 1;
  font-weight: 400;
  cursor: pointer;
  transition: all .4s ease;
}
.fisio-grid-single .fisio-select-horario-wrap .horario.ocupado {
  background-color: var(--color-back-grey-dark);
  border-color: var(--color-back-grey-dark);
  color: white;
  pointer-events: none;
}
.fisio-grid-single .fisio-select-horario-wrap .horario.seleccionado {
  background-color: var(--color-prim);
  color: white;
}
.cita-resumen {
  position: sticky;
  top: auto;
  left: 0;
  bottom: 20px;
  width: 100%;
  height: auto;
  background: var(--color-prim);
  padding: 20px;
  opacity: 0;
  pointer-events: none;
  transition: all .4s ease;
  z-index: 1;
}
.cita-resumen.visible {
  opacity: 1;
  pointer-events: all;
}
.cita-resumen .cita-resumen-wrap {
  display: flex;
  max-width: var(--max-width);
  margin: 0 auto;
  gap: 10px 30px;
  flex-wrap: wrap;
  justify-content: space-between;
}
.cita-resumen .cita-resumen-wrap .col {
  display: flex;
  flex-direction: column;
  width: auto !important;
  margin: 0;
}
.cita-resumen .cita-resumen-wrap .col.col-hidden {
  display: none;
}
.cita-resumen .cita-resumen-wrap .col.col-btn {
  flex-grow: 1;
  justify-content: center;
}
.cita-resumen .cita-resumen-wrap .col p {
  margin-bottom: 0;
}
@media (min-width: 650px) {
    .fisios-content-wrap .filtros {
        display: flex;
        justify-content: center;
    }
    .fisios-content-wrap .filtros .form-buscador-fisios-shortcode {
        max-width: var(--max-width);
        padding: 0 20px;
    }
    .fisios-grid-wrap {
        grid-template-columns: repeat(2, 1fr);
    }
}
@media (min-width: 768px) {
    .fisios-content-wrap .col.col-calendar {
        width: 300px;
        max-width: 300px;
    }
    .fisios-content-wrap .col.col-fisios {
      width: 100%;
      max-width: calc(100% - 300px);
    }
    .fisios-content-wrap .col-fisios .col-wrap {
      padding: 0 50px 20px;
    }
    .fisios-grid-wrap {
        grid-template-columns: repeat(1, 1fr);
    }
    .fisios-content-modificar-wrap .col.col-calendar {
      width: 100%;
      max-width: 100%;
      margin-bottom: 25px;
    }
    .fisios-content-modificar-wrap .col.col-fisios {
      width: 100%;
      max-width: 100%;
    }
    .fisios-content-modificar-wrap .col.col-fisios .fisios-grid-wrap {
      grid-template-columns: repeat(1, 1fr);
    }
}
@media (min-width: 850px) {
    .fisios-grid-wrap {
        grid-template-columns: repeat(2, 1fr);
    }
}
@media (min-width: 1024px) {
    .fisios-content-modificar-wrap .col.col-calendar {
      width: 300px;
      max-width: 300px;
    }
    .fisios-content-modificar-wrap .col.col-fisios {
      width: 100%;
      max-width: calc(100% - 300px);
    }
}


/*--------------------------------------------------------------
## @section 3.0 / Pages / Tarifas
--------------------------------------------------------------*/
.tarifa-row .precio-tachado .elementor-heading-title:After {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 1px;
    background: var(--color-back-grey-dark);
    transform: translate(-50%, -50%) rotate(10deg);
}
.tarifa-row .precio-mensual small {
    font-size: 21px;
    font-weight: 400;
}
.tarifa-row .elementor-element .tarifa-filter,
.tarifa-row .elementor-element .tarifa-filter p {
    transition: all .4s ease;
}
.tarifa-row .elementor-element .tarifa-filter.active {
    background: var(--color-prim) !important;
}
.tarifa-row .elementor-element .tarifa-filter.active p {
    color: white;
}


.woocommerce-error li[data-class="error-cita-ocupada"] ~ li[data-class="error-cita-ocupada"],
.woocommerce-error li[data-class="error-cita-timming"] ~ li[data-class="error-cita-timming"] {
	display: none;
}
